Subject: Re: bug#19159: Incorrect name in THANKS

From: Jim Meyering <[email-masked]>
Date: Mon, 24 Nov 2014 07:34:46 -0800

On Sun, Nov 23, 2014 at 10:11 PM, Norihiro Tanaka <[email-masked]> wrote:
> I am glad to hear that grep-2.21 is release.  However, I noticed a funny
> thing in THANKS.  My name is listed twice.  A second look confirmed that
> one is correct, and another is incorrect.  I found that it is caused by
> following four commits.  Could you fix them?
>
> Norihirio Tanaka                    [email-masked]
>        ^

The commits themselves are write-once, but there is a
mechanism by which name and email addresses listed
in Author: fields may be remapped so that when generating
the AUTHORS file or running git log or git shortlog, the
preferred/corrected information is printed, and I have done
that with the attached patch: